# fileGetDetails

<<<<<<< HEAD

## fileGetDetails

### Description

Allows the user to get the details of a file.

### Input / Parameter

| Name     | Description                     | Data Type   | Default | Options | Required |
| -------- | ------------------------------- | ----------- | ------- | ------- | -------- |
| filePath | The path the file is stored in. | String/Text | -       | -       | Yes      |

### Output

N/A

### Callback

#### callback

The function to be executed if the details of the file are retrieved successfully.

#### errorCallback

The function to be executed if the details of the file are not retrieved successfully.

### Video

Coming Soon.

### Example

Coming Soon.

#### Step

Coming Soon.

#### Result

Coming Soon.

### Links

\=======

## fileGetDetails

#### Description

Get deatil information of the given file path.

#### Flowchart

* N/A

#### Input / Parameters

| No | Name        | Description      | Data Type    | Required |
| -- | ----------- | ---------------- | ------------ | -------- |
| 1  | filePath    | File Path        | String       | Yes      |
| 2  | callback    | Success Callback | functionList | Yes      |
| 3  | errCallback | Error Callback   | functionList | Yes      |

#### Scenario / Use Case

* N/A

#### Step

* N/A

#### Result

* N/A

#### Video

* N/A

#### Notes

* N/A

> > > > > > > EP-686-server-fixes


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/device/filegetdetails.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
